import React from 'react';
import Name from "./Components/Name";
import Date from './Components/Date'
import './App.scss';

function App() {
	let results;
	results = [{ name: "Anthony", time: "0:24" },
    { name: "Lauren", time: "0:25" },
    { name: "a_mae_zing", time: "0:24" },
    { name: "ltrowel", time: "0:44" },
    { name: "Rebecca", time: "7:00" },
	{ name: "sbuercklin", time: "7:00" }];

	const date = "2019-10-25";

	// TODO: get the fetch to set the results instead of hardcoding it

	fetch(`https://acicchetti.dev/crossword/v1/${date}`)
      .then(res => res.json())
      .then(
        response => {
					console.log(response);
					// results = response;
        },
        error => {
          console.log("ERROR", error);
        }
      );

	const names = [...Array(results.length)]
	.map((_, index) => {
		const name = results[index].name;
		const time = results[index].time;
      return <div key={name}>
        <Name name={name} time={time}/>
      </div>
	}
    );

  return (
    <div className="App">
		<div><Date date={date}/></div>
      <div>{names}</div>
    </div>
  );
}

export default App;
